Subject: Re: [v6ops] How was a /16 of IPv6 asigned from ARIN to non large network?

From: "[email-masked]" <[email-masked]>
Date: Mon, 11 Dec 2023 11:11:44 -0800

> > And again, back to IPv4 think. Why not /48 per customer site whether enterprise, residential, or mobile?
> > And that’s unfortunate for your customers and their customers.
> 
> This isn't due to IPv4 thinking, yes a /48 per customer site for all customers is awesome, I fully endorse this idea, in theory only. I would love my residential ISP in my small home town to give me a /48 routed from their PA as well.

Well, HE will, FWIW.
Mine wouldn’t either, so I went to ARIN instead.

> But in reality, a /48 for everybody = massive RIR Fees for larger allocations that simply, financially, is not justifiable for a lot of network operators in a lot of economies, the financial numbers just don't make sense.

It really doesn’t.

A /48 standalone is $250/year from ARIN.
You get 16x that for 2x the fees at every higher level, so a /44 is $500, a /40 is $1,000, 36 is $2,000, 32 is $4,000, 

Let’s assume an average residential customer is US$30/month or equivalent. That’s $360/year. Let’s assume that $359 of that goes to circuit maintenance, backbone, and other costs leaving just $1/year/customer to cover RIR fees.

Further, let’s assume that your network structure doesn’t allow you to do any better than 50%  density in your /48 assignments overall. That gives you 32,768 customers per /32.

At that rate, you only need $0.125/customer/year to cover that /32. If you have 16 times that many customers and need a /28, then you’ll be paying $8,000/year to cover 524,288 customers = $0.016/customer/year (rounded up from 0.0152587890625).

APNIC’s fees are (IMHO) steep, but in APNIC, you’ve chosen a governance model that allows the largest ISPs to dominate by having a huge voting status where the large players (mostly government run NIRs) get 64 votes vs. most smaller players only getting 1 vote. This antidemocratic system creates many barriers to good customer practices.

Unfortunately, those in power are loathe to change the system, because it keeps them in power.

> Not all orgs have American-oriented financial power to justify paying for larger RIR allocations. I know many ISPs with tens of thousands of customers, they can't justify paying for large allocations to support the /48 idea, many of them even struggle to afford two /32s let alone anything larger. For example, in India, transport circuits+IP Transits etc alone are super expensive, way too expensive for the tiny ARPU over here to justify. And unfortunately, even though I at the very least advocate for /56 minimum on wireline services, end-users simply don't care, which disincentivize the ISP from investing any additional money into RIR fees for larger blocks to grant /48s. For additional context, many ISPs out there struggle to even purchase a router with decent FIB capacity for full tables, some struggle to even deploy layer 3 PE routers for the last-mile and still use some cheap Chinese OEM layer 2 switches with STP etc. So you can see why /48 for everybody simply just doesn't work, financially.

Unfortunately, there’s little that can be done for unsustainable business models where the ARPU is insufficient for the costs of providing the service. Further, I think that the way APNIC has structured its cost model is horrible. India does have an NIR, not sure if that can be helpful for this or not.

> Some other folks from the industry have shared this dilemma in the past as well, including (but not limited to) AFRINIC-covered economies, reference <https://x.com/stubarea51/status/1571887490188955648>.

Don’t get me started on the incredible corruption tax in AFRINIC.

Owen